Name: x11-driver-input-mouse
Version: 1.9.3
Release: %mkrel 4
Summary: Xorg input driver for mice
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.xz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0
Patch1: 0001-Don-t-disable-3-button-emulation-if-third-mouse-butt.patch

%description
This package provide Xorg input driver for mice.

%prep
%setup -q -n xf86-input-mouse-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

rm -fr %{buildroot}%{_includedir}

%files
%defattr(-,root,root)
###%{_libdir}/xorg/modules/input/mouse_drv.la
%{_libdir}/xorg/modules/input/mouse_drv.so
%{_mandir}/man4/mousedrv.*
%{_libdir}/pkgconfig/xorg-mouse.pc

%clean
rm -rf %buildroot

%changelog
* Wed Jan 26 2022 tex - 1.9.3-4pclos2022
- rebuild against updates

* Sun Mar 31 2019 tex - 1.9.3-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.9.3-2pclos2019
- rebuild against updates

* Sun Feb 10 2019 onkelho <oh.quait at gmail.com> 1.9.3-1pclos2019
- new ver-rel

* Sun Mar 26 2017 bb2 <bb2> - 1.9.1-3.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 1.9.1-3pclos2016
- rebuild new xorg

